// --- [ global.h ] ----------------------------------------------------------

#ifndef EXTERN
#define EXTERN extern
#endif

#define DEVICES 10                        // Reserviert Platz fr die Adressen der XBees
#define FIRST_CHR 0x7E                    // Start Delimiter eines Frames
#define RETURN    13
#define LEN_MSG   30

//#define IS_CONIO2_LIB                     // fr die Ausgabe farbiger Texte erforderlich

EXTERN unsigned char msg[LEN_MSG];
EXTERN unsigned char rs232_out[128];
EXTERN unsigned char rs232_in[256];
EXTERN unsigned int rm_device;            // der Index des gewhlte XBees
EXTERN void delay_ms(unsigned int ticks);

EXTERN FT_STATUS ftStatus;
EXTERN FT_HANDLE ftHandle;

EXTERN unsigned char frame_id;            // fortlaufender Zhler des Sendungen
EXTERN unsigned char last_frame_id;       // der Zhler der letzten Sendung
EXTERN unsigned char const_frame_id_0;    // Flag fr: feste Frame-Id = 0
EXTERN unsigned char verbosed;            // Flag fr: Ausgabe der gesendeten/empfangen Bytes
EXTERN unsigned char clear_screen;        // Flag fr: Bildschirm nach jeder Eingabe lschen/manuell lschen
// --- [ eof ] ---------------------------------------------------------------
